Skip to main content
GET
/
v1
/
product_medias
List
curl --request GET \
  --url https://{defaultHost}/v1/product_medias \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/product_medias"
  },
  "data": [
    {
      "id": "75153379-084e-4ea3-825d-e97ac634d297",
      "object": "product_media",
      "alt": null,
      "position": 0,
      "title": null,
      "url": null,
      "media": "9e07ebea-32dd-4e2c-9ad0-c24e5099e9a6",
      "product": "a50faa4e-d479-4d4f-a869-e288c74780d8",
      "created_at": 1780925520,
      "updated_at": 1780925520
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

product_ids[]
string[]

Only return objects that belong to the given products.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.